/****************************************************************************
*                   interior.h
*
*  This module contains all defines, typedefs, and prototypes for INTERIOR.CPP.
*
*  from Persistence of Vision(tm) Ray Tracer
*  Copyright 1996-2002 Persistence of Vision Team
*---------------------------------------------------------------------------
*  NOTICE: This source code file is provided so that users may experiment
*  with enhancements to POV-Ray and to port the software to platforms other
*  than those supported by the POV-Ray Team.  There are strict rules under
*  which you are permitted to use this file.  The rules are in the file
*  named POVLEGAL.DOC which should be distributed with this file.
*  If POVLEGAL.DOC is not available it may be found online at -
*
*    http://www.povray.org/povlegal.html.
*
* This program is based on the popular DKB raytracer version 2.12.
* DKBTrace was originally written by David K. Buck.
* DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
*
* $File: //depot/povray/3.5/source/interior.h $
* $Revision: 1.2 $
* $Change: 1817 $
* $DateTime: 2002/07/27 10:45:37 $
* $Author: flierl $
* $Log: interior.h,v $
* Revision 1.2  2002/12/30 19:33:42  flierl
* Import of the latest sources of POV-Ray version 3.5c and MG's PVM
* patch (revision 2).
*
* Added some command line options to the configure script:
*  --enable/disable-pvm,
*  --with-pvm-incs=DIR,
*  --with-pvm-arch=ARCH,
*  --with-pvm-libs=DIR,
*  --with-pvm-auxlibs=LDFLAGS.
*
*
*****************************************************************************/


#ifndef INTERIOR_H
#define INTERIOR_H

#include "media.h"

/*****************************************************************************
* Global preprocessor defines
******************************************************************************/


/*****************************************************************************
* Global typedefs
******************************************************************************/


/*****************************************************************************
* Global variables
******************************************************************************/



/*****************************************************************************
* Global functions
******************************************************************************/

void Init_Interior (INTERIOR *);

INTERIOR *Create_Interior (void);
INTERIOR *Copy_Interior (INTERIOR *);
INTERIOR *Copy_Interior_Pointer (INTERIOR *);
void Destroy_Interior (INTERIOR *);

void Transform_Interior (INTERIOR *, TRANSFORM *);

MATERIAL *Create_Material (void);
MATERIAL *Copy_Material (MATERIAL *);
void Destroy_Material (MATERIAL *);
#endif
